- Main Page
- Modules
- Classes
- Files

# ximamng.cpp File Reference

`#include "ximamng.h"`

## Functions
static mng_ptr | mymngalloc (mng_size_t size)
static void | mymngfree (mng_ptr p, mng_size_t size)
static mng_bool | mymngopenstream (mng_handle mng)
static mng_bool | mymngopenstreamwrite (mng_handle mng)
static mng_bool | mymngclosestream (mng_handle mng)
static mng_bool | mymngreadstream (mng_handle mng, mng_ptr buffer, mng_uint32 size, mng_uint32 *bytesread)
static mng_bool | mymngwritestream (mng_handle mng, mng_ptr pBuf, mng_uint32 iSize, mng_uint32 *iWritten)
static mng_bool | mymngprocessheader (mng_handle mng, mng_uint32 width, mng_uint32 height)
static mng_ptr | mymnggetcanvasline (mng_handle mng, mng_uint32 line)
static mng_ptr | mymnggetalphaline (mng_handle mng, mng_uint32 line)
static mng_uint32 | mymnggetticks (mng_handle mng)
static mng_bool | mymngrefresh (mng_handle mng, mng_uint32 x, mng_uint32 y, mng_uint32 w, mng_uint32 h)
static mng_bool | mymngsettimer (mng_handle mng, mng_uint32 msecs)
static mng_bool | mymngerror (mng_handle mng, mng_int32 code, mng_int8 severity, mng_chunkid chunktype, mng_uint32 chunkseq, mng_int32 extra1, mng_int32 extra2, mng_pchar text)

## Function Documentation

static mng_ptr mymngalloc | ( | mng_size_t | size | ) | `[static]`

static mng_bool mymngclosestream | ( | mng_handle | mng | ) | `[static]`

static mng_bool mymngerror | ( | mng_handle | mng,
|  | mng_int32 | code,
|  | mng_int8 | severity,
|  | mng_chunkid | chunktype,
|  | mng_uint32 | chunkseq,
|  | mng_int32 | extra1,
|  | mng_int32 | extra2,
|  | mng_pchar | text |
| ) |  |  | `[static]`

static void mymngfree | ( | mng_ptr | p,
|  | mng_size_t | size |
| ) |  |  | `[static]`

static mng_ptr mymnggetalphaline | ( | mng_handle | mng,
|  | mng_uint32 | line |
| ) |  |  | `[static]`

static mng_ptr mymnggetcanvasline | ( | mng_handle | mng,
|  | mng_uint32 | line |
| ) |  |  | `[static]`

static mng_uint32 mymnggetticks | ( | mng_handle | mng | ) | `[static]`

static mng_bool mymngopenstream | ( | mng_handle | mng | ) | `[static]`

static mng_bool mymngopenstreamwrite | ( | mng_handle | mng | ) | `[static]`

static mng_bool mymngprocessheader | ( | mng_handle | mng,
|  | mng_uint32 | width,
|  | mng_uint32 | height |
| ) |  |  | `[static]`

static mng_bool mymngreadstream | ( | mng_handle | mng,
|  | mng_ptr | buffer,
|  | mng_uint32 | size,
|  | mng_uint32 * | bytesread |
| ) |  |  | `[static]`

static mng_bool mymngrefresh | ( | mng_handle | mng,
|  | mng_uint32 | x,
|  | mng_uint32 | y,
|  | mng_uint32 | w,
|  | mng_uint32 | h |
| ) |  |  | `[static]`

static mng_bool mymngsettimer | ( | mng_handle | mng,
|  | mng_uint32 | msecs |
| ) |  |  | `[static]`

static mng_bool mymngwritestream | ( | mng_handle | mng,
|  | mng_ptr | pBuf,
|  | mng_uint32 | iSize,
|  | mng_uint32 * | iWritten |
| ) |  |  | `[static]`